API Guide Home (Online version only) |

# HardwareUtils68K.h File Reference

## Detailed Description

Public common header file to the Hardware Utilities Library used by 68K applications.

Version:
  1.0

This file contains the library constants and function prototypes for the library.

Definition in file HardwareUtils68K.h.

Include dependency graph for HardwareUtils68K.h:

Go to the source code of this file.

## Defines

Library Constants

- #define kHWUtilsType sysFileTLibrary
- #define kHWUtilsCreator 'HWut'
- #define kHWUtilsName "HardwareUtils"

Function Traps

- #define kHWUtilsTrapOpen sysLibTrapOpen
- #define kHWUtilsTrapClose sysLibTrapClose
- #define kHWUtilsTrapBlinkLED (sysLibTrapCustom + 0)
- #define kHWUtilsTrapSetBlinkRate (sysLibTrapCustom + 1)
- #define kHWUtilsTrapEnableDisplay (sysLibTrapCustom + 2)
- #define kHWUtilsTrapGetDisplayState (sysLibTrapCustom + 3)

## Functions

- Err HWUOpen (UInt16 refnum)
    Standard library open routine.
- Err HWUClose (UInt16 refnum)
    Standard library close routine.
- Err HWUBlinkLED (UInt16 refnum, Boolean b)
    Set the LED blink state.
- Err HWUSetBlinkRate (UInt16 refnum, UInt16 rate)
    Set the blink rate of the LED light.
- Err HWUEnableDisplay (UInt16 refnum, Boolean on)
    Set the state of the display.
- Boolean HWUGetDisplayState (UInt16 refnum)
    Retrieve the current state of the display.

## Define Documentation

#define kHWUtilsCreator 'HWut'

Definition at line 41 of file HardwareUtils68K.h.

#define kHWUtilsName "HardwareUtils"

Definition at line 42 of file HardwareUtils68K.h.

#define kHWUtilsTrapBlinkLED (sysLibTrapCustom + 0)

Definition at line 51 of file HardwareUtils68K.h.

#define kHWUtilsTrapClose sysLibTrapClose

Definition at line 50 of file HardwareUtils68K.h.

#define kHWUtilsTrapEnableDisplay (sysLibTrapCustom + 2)

Definition at line 53 of file HardwareUtils68K.h.

#define kHWUtilsTrapGetDisplayState (sysLibTrapCustom + 3)

Definition at line 54 of file HardwareUtils68K.h.

#define kHWUtilsTrapOpen sysLibTrapOpen

Definition at line 49 of file HardwareUtils68K.h.

#define kHWUtilsTrapSetBlinkRate (sysLibTrapCustom + 1)

Definition at line 52 of file HardwareUtils68K.h.

#define kHWUtilsType sysFileTLibrary

Definition at line 40 of file HardwareUtils68K.h.

## Function Documentation

Err HWUBlinkLED | ( | UInt16 | refnum,
|  | Boolean | b |
| ) |  |  |

Set the LED blink state.

Parameters:

  | refnum,: | IN: Library reference number
  | b,: | IN: True if LED should be blinking. False otherwise.

Returns:
  Error code

Err HWUClose | ( | UInt16 | refnum | ) |

Standard library close routine.

Parameters:

  | refnum,: | IN: Library reference number

Returns:
  Error code.

Err HWUEnableDisplay | ( | UInt16 | refnum,
|  | Boolean | on |
| ) |  |  |

Set the state of the display.

Parameters:

  | refnum,: | IN: Library reference number
  | on,: | IN: True to enable display. False otherwise.

Returns:
  Error code.

Boolean HWUGetDisplayState | ( | UInt16 | refnum | ) |

Retrieve the current state of the display.

Parameters:

  | refnum,: | IN: Library reference number

Returns:
  True if the display is on. False otherwise.

Err HWUOpen | ( | UInt16 | refnum | ) |

Standard library open routine.

Parameters:

  | refnum,: | IN: Library reference number

Returns:
  Error code.

Err HWUSetBlinkRate | ( | UInt16 | refnum,
|  | UInt16 | rate |
| ) |  |  |

Set the blink rate of the LED light.

Parameters:

  | refnum,: | IN: Library reference number
  | rate,: | IN: The rate at which the LED should blink.

Returns:
  Error code.

Top | Palm Developer Network © 2004-2008, Palm, Inc. All rights reserved. Generated on Fri Jun 13 10:06:58 2008 for Palm API Guide